Update the voice agent settings for a bot
Updates the voice agent settings for a bot.
- Type: stringobject
_id requiredBot ID
- Type: stringAuthorizationrequired
API key for authentication
- Type: stringContent
- Type requiredShould always be application/json
- Type: string
Behaves the same as url, but the video will be displayed through screenshare instead of the bot's webcam. Currently, you cannot provide both url and screenshare_url. Set to "" to turn off.
- Type: stringurl
URL of a website containing a voice agent that gets the user's responses from the microphone. The bot will load this website and stream its video and audio to the meeting. The audio from the meeting will be sent to website via the microphone. See https://docs.attendee.dev/guides/voiceagents for further details. The video will be displayed through the bot's webcam. To display the video through screenshare, use the screenshare_url parameter instead. Set to "" to turn off.
- 200
Voice agent settings updated successfully
- 400
Invalid input
- 404
Bot not found
curl https://app.attendee.dev/api/v1/bots/bot_xxxxxxxxxxx/voice_agent_settings \
--request PATCH \
--header 'Authorization: Token YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json' \
--data '{
"url": "",
"screenshare_url": ""
}'